package com.hzya.frame.plugin.lets.u8cdto;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenter
 * @name：SoSaleResultBodyDto
 * @Date：2024/3/26 08:49
 * @Filename：SoSaleResultBodyDto
 */
public class SoSaleResultHeadDto {
    private String pk_corp;
    private String corp_code;
    private String corp_name;
    private String cbiztype;
    private String biztype_code;
    private String biztype_name;
    private String ccustomerid;
    private String customer_code;
    private String customer_name;
    private String csalecorpid;
    private String salecorp_code;
    private String salecorp_name;
    private String ccalbodyid;
    private String calbody_code;
    private String calbody_name;
    private String coperatorid;
    private String operator_code;
    private String operator_name;
    private String cdeptid;
    private String dept_code;
    private String dept_name;
    private String vreceiptcode;
    private String dbillString;
    private String dmakeString;
    private String dbilltime;
    private String dapproveString;
    private String daudittime;
    private String dmoditime;
    private String capproveid;
    private String approver_code;
    private String approver_name;
    private String creceiptcustomerid;
    private String receiptcustomer_code;
    private String receiptcustomer_name;
    private String creceiptcorpid;
    private String receiptcorp_code;
    private String receiptcorp_name;
    private String ndiscountrate;
    private String pk_defdoc10;
    private String vdef10;
    private String pk_defdoc11;
    private String vdef11;
    private String pk_defdoc12;
    private String vdef12;
    private String pk_defdoc13;
    private String vdef13;
    private String pk_defdoc14;
    private String vdef14;
    private String vdef19;
    private String cwarehouseid;
    private String warehouse_code;
    private String warehouse_name;
    private String csaleid;
    private String fstatus;
    private String ccurrencytypeid;
    private String currencytype_code;
    private String currencytype_name;
    private String nheadsummny;

    public String getPk_corp() {
        return pk_corp;
    }

    public void setPk_corp(String pk_corp) {
        this.pk_corp = pk_corp;
    }

    public String getCorp_code() {
        return corp_code;
    }

    public void setCorp_code(String corp_code) {
        this.corp_code = corp_code;
    }

    public String getCorp_name() {
        return corp_name;
    }

    public void setCorp_name(String corp_name) {
        this.corp_name = corp_name;
    }

    public String getCbiztype() {
        return cbiztype;
    }

    public void setCbiztype(String cbiztype) {
        this.cbiztype = cbiztype;
    }

    public String getBiztype_code() {
        return biztype_code;
    }

    public void setBiztype_code(String biztype_code) {
        this.biztype_code = biztype_code;
    }

    public String getBiztype_name() {
        return biztype_name;
    }

    public void setBiztype_name(String biztype_name) {
        this.biztype_name = biztype_name;
    }

    public String getCcustomerid() {
        return ccustomerid;
    }

    public void setCcustomerid(String ccustomerid) {
        this.ccustomerid = ccustomerid;
    }

    public String getCustomer_code() {
        return customer_code;
    }

    public void setCustomer_code(String customer_code) {
        this.customer_code = customer_code;
    }

    public String getCustomer_name() {
        return customer_name;
    }

    public void setCustomer_name(String customer_name) {
        this.customer_name = customer_name;
    }

    public String getCsalecorpid() {
        return csalecorpid;
    }

    public void setCsalecorpid(String csalecorpid) {
        this.csalecorpid = csalecorpid;
    }

    public String getSalecorp_code() {
        return salecorp_code;
    }

    public void setSalecorp_code(String salecorp_code) {
        this.salecorp_code = salecorp_code;
    }

    public String getSalecorp_name() {
        return salecorp_name;
    }

    public void setSalecorp_name(String salecorp_name) {
        this.salecorp_name = salecorp_name;
    }

    public String getCcalbodyid() {
        return ccalbodyid;
    }

    public void setCcalbodyid(String ccalbodyid) {
        this.ccalbodyid = ccalbodyid;
    }

    public String getCalbody_code() {
        return calbody_code;
    }

    public void setCalbody_code(String calbody_code) {
        this.calbody_code = calbody_code;
    }

    public String getCalbody_name() {
        return calbody_name;
    }

    public void setCalbody_name(String calbody_name) {
        this.calbody_name = calbody_name;
    }

    public String getCoperatorid() {
        return coperatorid;
    }

    public void setCoperatorid(String coperatorid) {
        this.coperatorid = coperatorid;
    }

    public String getOperator_code() {
        return operator_code;
    }

    public void setOperator_code(String operator_code) {
        this.operator_code = operator_code;
    }

    public String getOperator_name() {
        return operator_name;
    }

    public void setOperator_name(String operator_name) {
        this.operator_name = operator_name;
    }

    public String getCdeptid() {
        return cdeptid;
    }

    public void setCdeptid(String cdeptid) {
        this.cdeptid = cdeptid;
    }

    public String getDept_code() {
        return dept_code;
    }

    public void setDept_code(String dept_code) {
        this.dept_code = dept_code;
    }

    public String getDept_name() {
        return dept_name;
    }

    public void setDept_name(String dept_name) {
        this.dept_name = dept_name;
    }

    public String getVreceiptcode() {
        return vreceiptcode;
    }

    public void setVreceiptcode(String vreceiptcode) {
        this.vreceiptcode = vreceiptcode;
    }

    public String getDbillString() {
        return dbillString;
    }

    public void setDbillString(String dbillString) {
        this.dbillString = dbillString;
    }

    public String getDmakeString() {
        return dmakeString;
    }

    public void setDmakeString(String dmakeString) {
        this.dmakeString = dmakeString;
    }

    public String getDbilltime() {
        return dbilltime;
    }

    public void setDbilltime(String dbilltime) {
        this.dbilltime = dbilltime;
    }

    public String getDapproveString() {
        return dapproveString;
    }

    public void setDapproveString(String dapproveString) {
        this.dapproveString = dapproveString;
    }

    public String getDaudittime() {
        return daudittime;
    }

    public void setDaudittime(String daudittime) {
        this.daudittime = daudittime;
    }

    public String getDmoditime() {
        return dmoditime;
    }

    public void setDmoditime(String dmoditime) {
        this.dmoditime = dmoditime;
    }

    public String getCapproveid() {
        return capproveid;
    }

    public void setCapproveid(String capproveid) {
        this.capproveid = capproveid;
    }

    public String getApprover_code() {
        return approver_code;
    }

    public void setApprover_code(String approver_code) {
        this.approver_code = approver_code;
    }

    public String getApprover_name() {
        return approver_name;
    }

    public void setApprover_name(String approver_name) {
        this.approver_name = approver_name;
    }

    public String getCreceiptcustomerid() {
        return creceiptcustomerid;
    }

    public void setCreceiptcustomerid(String creceiptcustomerid) {
        this.creceiptcustomerid = creceiptcustomerid;
    }

    public String getReceiptcustomer_code() {
        return receiptcustomer_code;
    }

    public void setReceiptcustomer_code(String receiptcustomer_code) {
        this.receiptcustomer_code = receiptcustomer_code;
    }

    public String getReceiptcustomer_name() {
        return receiptcustomer_name;
    }

    public void setReceiptcustomer_name(String receiptcustomer_name) {
        this.receiptcustomer_name = receiptcustomer_name;
    }

    public String getCreceiptcorpid() {
        return creceiptcorpid;
    }

    public void setCreceiptcorpid(String creceiptcorpid) {
        this.creceiptcorpid = creceiptcorpid;
    }

    public String getReceiptcorp_code() {
        return receiptcorp_code;
    }

    public void setReceiptcorp_code(String receiptcorp_code) {
        this.receiptcorp_code = receiptcorp_code;
    }

    public String getReceiptcorp_name() {
        return receiptcorp_name;
    }

    public void setReceiptcorp_name(String receiptcorp_name) {
        this.receiptcorp_name = receiptcorp_name;
    }

    public String getNdiscountrate() {
        return ndiscountrate;
    }

    public void setNdiscountrate(String ndiscountrate) {
        this.ndiscountrate = ndiscountrate;
    }

    public String getPk_defdoc10() {
        return pk_defdoc10;
    }

    public void setPk_defdoc10(String pk_defdoc10) {
        this.pk_defdoc10 = pk_defdoc10;
    }

    public String getVdef10() {
        return vdef10;
    }

    public void setVdef10(String vdef10) {
        this.vdef10 = vdef10;
    }

    public String getPk_defdoc11() {
        return pk_defdoc11;
    }

    public void setPk_defdoc11(String pk_defdoc11) {
        this.pk_defdoc11 = pk_defdoc11;
    }

    public String getVdef11() {
        return vdef11;
    }

    public void setVdef11(String vdef11) {
        this.vdef11 = vdef11;
    }

    public String getPk_defdoc12() {
        return pk_defdoc12;
    }

    public void setPk_defdoc12(String pk_defdoc12) {
        this.pk_defdoc12 = pk_defdoc12;
    }

    public String getVdef12() {
        return vdef12;
    }

    public void setVdef12(String vdef12) {
        this.vdef12 = vdef12;
    }

    public String getPk_defdoc13() {
        return pk_defdoc13;
    }

    public void setPk_defdoc13(String pk_defdoc13) {
        this.pk_defdoc13 = pk_defdoc13;
    }

    public String getVdef13() {
        return vdef13;
    }

    public void setVdef13(String vdef13) {
        this.vdef13 = vdef13;
    }

    public String getPk_defdoc14() {
        return pk_defdoc14;
    }

    public void setPk_defdoc14(String pk_defdoc14) {
        this.pk_defdoc14 = pk_defdoc14;
    }

    public String getVdef14() {
        return vdef14;
    }

    public void setVdef14(String vdef14) {
        this.vdef14 = vdef14;
    }

    public String getVdef19() {
        return vdef19;
    }

    public void setVdef19(String vdef19) {
        this.vdef19 = vdef19;
    }

    public String getCwarehouseid() {
        return cwarehouseid;
    }

    public void setCwarehouseid(String cwarehouseid) {
        this.cwarehouseid = cwarehouseid;
    }

    public String getWarehouse_code() {
        return warehouse_code;
    }

    public void setWarehouse_code(String warehouse_code) {
        this.warehouse_code = warehouse_code;
    }

    public String getWarehouse_name() {
        return warehouse_name;
    }

    public void setWarehouse_name(String warehouse_name) {
        this.warehouse_name = warehouse_name;
    }

    public String getCsaleid() {
        return csaleid;
    }

    public void setCsaleid(String csaleid) {
        this.csaleid = csaleid;
    }

    public String getFstatus() {
        return fstatus;
    }

    public void setFstatus(String fstatus) {
        this.fstatus = fstatus;
    }

    public String getCcurrencytypeid() {
        return ccurrencytypeid;
    }

    public void setCcurrencytypeid(String ccurrencytypeid) {
        this.ccurrencytypeid = ccurrencytypeid;
    }

    public String getCurrencytype_code() {
        return currencytype_code;
    }

    public void setCurrencytype_code(String currencytype_code) {
        this.currencytype_code = currencytype_code;
    }

    public String getCurrencytype_name() {
        return currencytype_name;
    }

    public void setCurrencytype_name(String currencytype_name) {
        this.currencytype_name = currencytype_name;
    }

    public String getNheadsummny() {
        return nheadsummny;
    }

    public void setNheadsummny(String nheadsummny) {
        this.nheadsummny = nheadsummny;
    }
}
